.cta-primary {
    font-family: var(--font-primary);
    color: var(--color-secondary);

    display: flex;
    flex-direction: column;
    gap: 6px;

    width: fit-content;

    padding-top: 6px;
    
    z-index: 100;
    
    transition: opacity 0.5s ease-in-out;
}

nav .cta-primary.cta-masque {
    pointer-events: none;
}

nav .cta-primary.cta-masque:hover .filet-cta::after {
    transform: scaleX(0);
}


.label-cta {

    text-align: center;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
    text-transform: uppercase;

}

.filet-cta {
    width: 100%;
    height: 0.6px;
    background-color: rgba(208, 150, 51, 0.3);
    position: relative;
    overflow: hidden;
}

.filet-cta::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-secondary);
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.5s cubic-bezier(0.75, 0.07, 0.19, 1.01);
}

.cta-primary:hover .filet-cta::after {
    transform: scaleX(1);
    transform-origin: left;
}

.cta-primary:not(:hover) .filet-cta::after {
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.5s cubic-bezier(0.75, 0.07, 0.19, 1.01);
}


.ecran-02-mobile .cta-primary {
    color: var(--color-primary);
}

.ecran-02-mobile .cta-primary .filet-cta {
    background-color: #22276136;

}

.ecran-02-mobile .cta-primary .filet-cta::after {
    background-color: var(--color-primary);
}

.ecran-02-mobile .cta-primary .label-cta {
    color: var(--color-primary);
}


